## dcmtk 3.6.0

=== CMakeLists.txt ===
# Declare project
PROJECT(DCMTK)

# Minimum CMake version required
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
IF(CMAKE_BACKWARDS_COMPATIBILITY GREATER 2.8.3)
  SET(CMAKE_BACKWARDS_COMPATIBILITY 2.8.3 CACHE STRING "Latest version of CMake when this project was released." FORCE)
ENDIF(CMAKE_BACKWARDS_COMPATIBILITY GREATER 2.8.3)

#-----------------------------------------------------------------------------
# General project settings to configure DCMTK build process
#-----------------------------------------------------------------------------

# Modules to be built (default: build all public modules)
SET(DCMTK_MODULES config ofstd oflog dcmdata dcmimgle dcmjpeg dcmimage dcmtls dcmnet dcmwlm dcmqrdb dcmsr dcmpstat dcmsign dcmjpls doxygen)
# Add non-public modules
#SET(DCMTK_MODULES ${DCMTK_MODULES} dcmdbsup dcmwlmxl dcmpps dcmppswm dcmjp2k dcmloco dcmqrdbx dcmcheck dcmprint dcmprscp dcmavi dcmmisc dcmppscu dcmstcom dcmrt dcmwave dcmeval)

# Package "release" settings (some are currently unused)
SET(DCMTK_PACKAGE_NAME "dcmtk")
SET(DCMTK_PACKAGE_DATE "2011-01-06")
#SET(DCMTK_PACKAGE_TARNAME "dcmtk-3.6.0")
SET(DCMTK_PACKAGE_VERSION "3.6.0")
SET(DCMTK_PACKAGE_VERSION_NUMBER "360")
SET(DCMTK_PACKAGE_VERSION_SUFFIX "")
#SET(DCMTK_PACKAGE_STRING "dcmtk 3.6.0")
#SET(DCMTK_PACKAGE_BUGREPORT "dicom-bugs@offis.de")

# DCMTK build options
OPTION(DCMTK_WITH_TIFF "Configure DCMTK with support for TIFF" ON)
OPTION(DCMTK_WITH_PNG "Configure DCMTK with support for PNG" ON)
OPTION(DCMTK_WITH_XML "Configure DCMTK with support for XML" OFF)
OPTION(DCMTK_WITH_ZLIB "Configure DCMTK with support for ZLIB" ON)
OPTION(DCMTK_WITH_OPENSSL "Configure DCMTK with support for OPENSSL" OFF)
OPTION(DCMTK_WITH_SNDFILE "Configure DCMTK with support for SNDFILE" OFF)
MARK_AS_ADVANCED(SNDFILE_DIR DCMTK_WITH_SNDFILE) # not yet needed in public DCMTK
OPTION(DCMTK_WITH_PRIVATE_TAGS "Configure DCMTK with support for DICOM private tags coming with DCMTK" OFF)
OPTION(DCMTK_WITH_THREADS "Configure DCMTK with support for multi-threading" ON)
OPTION(DCMTK_WITH_DOXYGEN "Build API documentation with doxygen" ON)

#SET(CXX_TEST_PATH ${EXECUTABLE_OUTPUT_PATH})

#-----------------------------------------------------------------------------
# Include directories
#-----------------------------------------------------------------------------

SET(DCMTK_INCLUDE_DIR
  ${DCMTK_BINARY_DIR}/include
  #${DCMTK_SOURCE_DIR}/config/include
  ${DCMTK_SOURCE_DIR}/ofstd/include
  ${DCMTK_SOURCE_DIR}/oflog/include
  ${DCMTK_SOURCE_DIR}/dcmdata/include
  ${DCMTK_SOURCE_DIR}/dcmimgle/include
  ${DCMTK_SOURCE_DIR}/dcmimage/include
  ${DCMTK_SOURCE_DIR}/dcmjpeg/libijg8
  ${DCMTK_SOURCE_DIR}/dcmjpeg/libijg12
  ${DCMTK_SOURCE_DIR}/dcmjpeg/libijg16
  ${DCMTK_SOURCE_DIR}/dcmjpeg/include
  ${DCMTK_SOURCE_DIR}/dcmjpls/include
  ${DCMTK_SOURCE_DIR}/dcmnet/include
  ${DCMTK_SOURCE_DIR}/dcmpstat/include
  ${DCMTK_SOURCE_DIR}/dcmqrdb/include
  ${DCMTK_SOURCE_DIR}/dcmsign/include
  ${DCMTK_SOURCE_DIR}/dcmsr/include
  ${DCMTK_SOURCE_DIR}/dcmtls/include
  ${DCMTK_SOURCE_DIR}/dcmwlm/include
)
INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})

#-----------------------------------------------------------------------------
# Installation sub-directories
#-----------------------------------------------------------------------------

SET(INSTALL_BINDIR "/bin")
SET(INSTALL_INCDIR "/include")
SET(INSTALL_LIBDIR "/lib")
SET(INSTALL_ETCDIR "/etc/dcmtk")
SET(INSTALL_DATDIR "/share/dcmtk")
SET(INSTALL_DOCDIR "/share/doc/dcmtk")
SET(INSTALL_HTMDIR "/share/doc/dcmtk/html")
SET(INSTALL_MANDIR "/share/man")

#-----------------------------------------------------------------------------
# Platform-independent settings
#-----------------------------------------------------------------------------

IF(COMMAND CMAKE_POLICY)
  # Enable new CMake behaviour when dealing with libraries whose full path is
  # given to the linker. This is necessary to avoid warnings in CMake versions
  # greater than 2.6.
  # See http://www.cmake.org/cmake/help/cmake-2.6.html#policy:CMP0003
  CMAKE_POLICY(SET CMP0003 NEW)

  # Works around warnings about escaped quotes in ADD_DEFINITIONS statements
  CMAKE_POLICY(SET CMP0005 OLD)
ENDIF(COMMAND CMAKE_POLICY)

# pass optional build date to compiler
#ADD_DEFINITIONS("-DDCMTK_BUILD_DATE=\\\"YYYY-MM-DD\\\"")

# make OFString(NULL) safe by default
ADD_DEFINITIONS("-DUSE_NULL_SAFE_OFSTRING")

#-----------------------------------------------------------------------------
# Platform-specific settings
#-----------------------------------------------------------------------------

# set project wide flags for compiler and linker

IF(WIN32)
  OPTION(DCMTK_OVERWRITE_WIN32_COMPILER_FLAGS "Overwrite compiler flags with DCMTK's WIN32 package default values." ON)
ENDIF(WIN32)

IF(DCMTK_OVERWRITE_WIN32_COMPILER_FLAGS)

  # settings for Microsoft Visual C
  IF(CMAKE_C_COMPILER MATCHES "CL|cl")
    IF(NOT WITH_SHARED_LIBS)
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 6")
        SET(CMAKE_C_FLAGS "/nologo /W3 /GX /Gy /YX")
        SET(CMAKE_C_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_C_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 6")
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 7" OR CMAKE_GENERATOR STREQUAL "Visual Studio 7 .NET 2003")
        SET(CMAKE_C_FLAGS "/nologo /W3 /Gy")
        SET(CMAKE_C_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_C_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 7" OR CMAKE_GENERATOR STREQUAL "Visual Studio 7 .NET 2003")
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 8 2005" OR CMAKE_GENERATOR STREQUAL "Visual Studio 9 2008" OR CMAKE_GENERATOR STREQUAL "Visual Studio 10")
        SET(CMAKE_C_FLAGS "/nologo /W3 /Gy /EHsc")
        SET(CMAKE_C_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_C_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_C_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_C_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 8 2005" OR CMAKE_GENERATOR STREQUAL "Visual Studio 9 2008" OR CMAKE_GENERATOR STREQUAL "Visual Studio 10")
    ENDIF(NOT WITH_SHARED_LIBS)
  ENDIF(CMAKE_C_COMPILER MATCHES "CL|cl")

  # settings for Microsoft Visual C++
  IF(CMAKE_CXX_COMPILER MATCHES "CL|cl")
    IF(NOT WITH_SHARED_LIBS)
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 6")
        SET(CMAKE_CXX_FLAGS "/nologo /W3 /GX /Gy /YX /Zm500") # /Zm500 increments heap size which is needed on some system to compile templates in dcmimgle
        SET(CMAKE_CXX_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_CXX_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_CXX_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 6")
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 7" OR CMAKE_GENERATOR STREQUAL "Visual Studio 7 .NET 2003")
        SET(CMAKE_CXX_FLAGS "/nologo /W3 /Gy")
        SET(CMAKE_CXX_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_CXX_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_CXX_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 7" OR CMAKE_GENERATOR STREQUAL "Visual Studio 7 .NET 2003")
      IF(CMAKE_GENERATOR STREQUAL "Visual Studio 8 2005" OR CMAKE_GENERATOR STREQUAL "Visual Studio 9 2008" OR CMAKE_GENERATOR STREQUAL "Visual Studio 10")
        SET(CMAKE_CXX_FLAGS "/nologo /W3 /Gy /EHsc")
        SET(CMAKE_CXX_FLAGS_DEBUG "/MTd /Z7 /Od")
        SET(CMAKE_CXX_FLAGS_RELEASE "/MT /O2")
        SET(CMAKE_CXX_FLAGS_MINSIZEREL "/MT /O2")
        SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MTd /Z7 /Od")
      ENDIF(CMAKE_GENERATOR STREQUAL "Visual Studio 8 2005" OR CMAKE_GENERATOR STREQUAL "Visual Studio 9 2008" OR CMAKE_GENERATOR STREQUAL "Visual Studio 10")
    ENDIF(NOT WITH_SHARED_LIBS)
  ENDIF(CMAKE_CXX_COMPILER MATCHES "CL|cl")

  # settings for Borland C++
  IF(CMAKE_CXX_COMPILER MATCHES "BCC32|bcc32")
    # further settings required?
    SET(CMAKE_STANDARD_LIBRARIES "import32.lib cw32mt.lib")
  ENDIF(CMAKE_CXX_COMPILER MATCHES "BCC32|bcc32")

ENDIF(DCMTK_OVERWRITE_WIN32_COMPILER_FLAGS)

IF(WIN32)   # special handling for Windows systems

  IF(MINGW)
    # Avoid auto-importing warnings on MinGW
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--enable-auto-import")
  ELSE(MINGW)
    # On Visual Studio 8 MS deprecated C. This removes all 1.276E1265 security warnings.
    IF(NOT BORLAND)
      IF(NOT CYGWIN)
        IF(NOT DCMTK_ENABLE_VISUAL_STUDIO_DEPRECATED_C_WARNINGS)
          ADD_DEFINITIONS(
            -D_CRT_FAR_MAPPINGS_NO_DEPRECATE
            -D_CRT_IS_WCTYPE_NO_DEPRECATE
            -D_CRT_MANAGED_FP_NO_DEPRECATE
            -D_CRT_NONSTDC_NO_DEPRECATE
            -D_CRT_SECURE_NO_DEPRECATE
            -D_CRT_SECURE_NO_DEPRECATE_GLOBALS
            -D_CRT_SETERRORMODE_BEEP_SLEEP_NO_DEPRECATE
            -D_CRT_TIME_FUNCTIONS_NO_DEPRECATE
            -D_CRT_VCCLRIT_NO_DEPRECATE
            -D_SCL_SECURE_NO_DEPRECATE
            )
        ENDIF(NOT DCMTK_ENABLE_VISUAL_STUDIO_DEPRECATED_C_WARNINGS)
      ENDIF(NOT CYGWIN)
    ENDIF(NOT BORLAND)
  ENDIF(MINGW)

ELSE(WIN32)   # ... for non-Windows systems

  # Compiler flags for Mac OS X
  IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_XOPEN_SOURCE_EXTENDED -D_BSD_SOURCE -D_BSD_COMPAT -D_OSF_SOURCE -D_DARWIN_C_SOURCE")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_XOPEN_SOURCE_EXTENDED -D_BSD_SOURCE -D_BSD_COMPAT -D_OSF_SOURCE -D_DARWIN_C_SOURCE")
  ELSE(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    # FreeBSD fails with these flags
    IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
      # Compiler flags for all other non-Windows systems
      SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_BSD_COMPAT -D_OSF_SOURCE -D_POSIX_C_SOURCE=199506L")
      SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_BSD_COMPAT -D_OSF_SOURCE -D_POSIX_C_SOURCE=199506L")
    ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

ENDIF(WIN32)

# define libraries that must be linked to most Windows applications
IF(WIN32)
  SET(WIN32_STD_LIBRARIES ws2_32 netapi32 wsock32)
  # settings for Borland C++
  IF(CMAKE_CXX_COMPILER MATCHES bcc32)
    # to be checked: further settings required?
    SET(CMAKE_STANDARD_LIBRARIES "import32.lib cw32mt.lib")
  ENDIF(CMAKE_CXX_COMPILER MATCHES bcc32)
ENDIF(WIN32)

# add definition of "DEBUG" to debug mode (since CMake does not do this automatically)
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")

#-----------------------------------------------------------------------------
# Third party libraries
#-----------------------------------------------------------------------------

INCLUDE(CMake/3rdparty.cmake)

#-----------------------------------------------------------------------------
# Prepare osconfig.h
#-----------------------------------------------------------------------------

# add the osconfig.h.in file
INCLUDE(${DCMTK_SOURCE_DIR}/CMake/GenerateDCMTKConfigure.cmake)
CONFIGURE_FILE(${DCMTK_SOURCE_DIR}/CMake/osconfig.h.in
               ${DCMTK_BINARY_DIR}/include/dcmtk/config/osconfig.h)

#-----------------------------------------------------------------------------
# Dart configuration (disabled per default)
#-----------------------------------------------------------------------------

# Includes build targets Experimental, Nightly and Continous which are the standard
# groups pre-configured in Dashboard. In CTest these groups are called "Tracks".
#
# INCLUDE(${CMAKE_ROOT}/Modules/Dart.cmake)
# IF(BUILD_TESTING)
#   ENABLE_TESTING()

=== Makefile ===
#
#	Makefile for dcmtk (DICOM Toolkit)
#

SHELL = /bin/sh
configdir = config

include $(configdir)/Makefile.def

all:  config-all ofstd-all oflog-all dcmdata-all dcmtls-all dcmnet-all dcmqrdb-all dcmwlm-all dcmimgle-all dcmsr-all dcmsign-all dcmpstat-all dcmimage-all dcmjpeg-all dcmjpls-all

libsrc-all:  ofstd-libsrc-all oflog-libsrc-all dcmdata-libsrc-all dcmtls-libsrc-all dcmnet-libsrc-all dcmqrdb-libsrc-all dcmwlm-libsrc-all dcmimgle-libsrc-all dcmsr-libsrc-all dcmsign-libsrc-all dcmpstat-libsrc-all dcmimage-libsrc-all dcmjpeg-libsrc-all dcmjpls-libsrc-all

install:  config-install ofstd-install oflog-install dcmdata-install dcmtls-install dcmnet-install dcmqrdb-install dcmwlm-install dcmimgle-install dcmsr-install dcmsign-install dcmpstat-install dcmimage-install dcmjpeg-install dcmjpls-install dcmtk-install-doc install-man

install-all: install install-lib install-html

install-bin:  config-install-bin ofstd-install-bin oflog-install-bin dcmdata-install-bin dcmtls-install-bin dcmnet-install-bin dcmqrdb-install-bin dcmwlm-install-bin dcmimgle-install-bin dcmsr-install-bin dcmsign-install-bin dcmpstat-install-bin dcmimage-install-bin dcmjpeg-install-bin dcmjpls-install-bin

install-doc:  config-install-doc ofstd-install-doc oflog-install-doc dcmdata-install-doc dcmtls-install-doc dcmnet-install-doc dcmqrdb-install-doc dcmwlm-install-doc dcmimgle-install-doc dcmsr-install-doc dcmsign-install-doc dcmpstat-install-doc dcmimage-install-doc dcmjpeg-install-doc dcmjpls-install-doc

install-data:  config-install-data ofstd-install-data oflog-install-data dcmdata-install-data dcmtls-install-data dcmnet-install-data dcmqrdb-install-data dcmwlm-install-data dcmimgle-install-data dcmsr-install-data dcmsign-install-data dcmpstat-install-data dcmimage-install-data dcmjpeg-install-data dcmjpls-install-data

install-etc:  config-install-etc ofstd-install-etc oflog-install-etc dcmdata-install-etc dcmtls-install-etc dcmnet-install-etc dcmqrdb-install-etc dcmwlm-install-etc dcmimgle-install-etc dcmsr-install-etc dcmsign-install-etc dcmpstat-install-etc dcmimage-install-etc dcmjpeg-install-etc dcmjpls-install-etc

install-lib:  config-install-lib ofstd-install-lib oflog-install-lib dcmdata-install-lib dcmtls-install-lib dcmnet-install-lib dcmqrdb-install-lib dcmwlm-install-lib dcmimgle-install-lib dcmsr-install-lib dcmsign-install-lib dcmpstat-install-lib dcmimage-install-lib dcmjpeg-install-lib dcmjpls-install-lib

install-include:  config-install-include ofstd-install-include oflog-install-include dcmdata-install-include dcmtls-install-include dcmnet-install-include dcmqrdb-install-include dcmwlm-install-include dcmimgle-install-include dcmsr-install-include dcmsign-install-include dcmpstat-install-include dcmimage-install-include dcmjpeg-install-include dcmjpls-install-include

install-support:  config-install-support ofstd-install-support oflog-install-support dcmdata-install-support dcmtls-install-support dcmnet-install-support dcmqrdb-install-support dcmwlm-install-support dcmimgle-install-support dcmsr-install-support dcmsign-install-support dcmpstat-install-support dcmimage-install-support dcmjpeg-install-support dcmjpls-install-support

dcmtk-install-doc:
	$(configdir)/mkinstalldirs $(DESTDIR)$(docdir)
	for file in ANNOUNCE.$(PACKAGE_VERSION_NUMBER) CHANGES.$(PACKAGE_VERSION_NUMBER) COPYRIGHT FAQ HISTORY VERSION; do \
		$(INSTALL_DATA) $$file $(DESTDIR)$(docdir) ;\
	done

install-man:
	(cd doxygen && $(MAKE) DESTDIR="$(DESTDIR)" install-man)

install-html:
	(cd doxygen && $(MAKE) DESTDIR="$(DESTDIR)" install-html)

man:
	(cd doxygen && $(MAKE) DESTDIR="$(DESTDIR)" man)

html:
	(cd doxygen && $(MAKE) DESTDIR="$(DESTDIR)" html)

config-all:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

config-libsrc-all:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

config-install:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

config-install-bin:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

config-install-doc:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

config-install-data:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

config-install-etc:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

config-install-lib:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

config-install-include:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

config-install-support:
	(cd config && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

ofstd-all:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

ofstd-libsrc-all:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

ofstd-install:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

ofstd-install-bin:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

ofstd-install-doc:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

ofstd-install-data:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

ofstd-install-etc:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

ofstd-install-lib:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

ofstd-install-include:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

ofstd-install-support:
	(cd ofstd && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

oflog-all:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

oflog-libsrc-all:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

oflog-install:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

oflog-install-bin:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

oflog-install-doc:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

oflog-install-data:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

oflog-install-etc:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

oflog-install-lib:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

oflog-install-include:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

oflog-install-support:
	(cd oflog && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmdata-all:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmdata-libsrc-all:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmdata-install:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmdata-install-bin:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmdata-install-doc:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmdata-install-data:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmdata-install-etc:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmdata-install-lib:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmdata-install-include:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmdata-install-support:
	(cd dcmdata && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmtls-all:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmtls-libsrc-all:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmtls-install:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmtls-install-bin:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmtls-install-doc:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmtls-install-data:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmtls-install-etc:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmtls-install-lib:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmtls-install-include:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmtls-install-support:
	(cd dcmtls && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmnet-all:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmnet-libsrc-all:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmnet-install:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmnet-install-bin:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmnet-install-doc:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmnet-install-data:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmnet-install-etc:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmnet-install-lib:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmnet-install-include:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmnet-install-support:
	(cd dcmnet && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmqrdb-all:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmqrdb-libsrc-all:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmqrdb-install:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmqrdb-install-bin:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmqrdb-install-doc:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmqrdb-install-data:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmqrdb-install-etc:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmqrdb-install-lib:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmqrdb-install-include:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmqrdb-install-support:
	(cd dcmqrdb && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmwlm-all:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmwlm-libsrc-all:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmwlm-install:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmwlm-install-bin:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmwlm-install-doc:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmwlm-install-data:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmwlm-install-etc:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmwlm-install-lib:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmwlm-install-include:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmwlm-install-support:
	(cd dcmwlm && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-support)

dcmimgle-all:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" all)

dcmimgle-libsrc-all:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" libsrc-all)

dcmimgle-install:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install)

dcmimgle-install-bin:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-bin)

dcmimgle-install-doc:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-doc)

dcmimgle-install-data:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-data)

dcmimgle-install-etc:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-etc)

dcmimgle-install-lib:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-lib)

dcmimgle-install-include:
	(cd dcmimgle && $(MAKE) ARCH="$(ARCH)" DESTDIR="$(DESTDIR)" install-include)

dcmimgle-install-support:

=== config/CMakeLists.txt ===
# declare project
PROJECT(config)

# recurse into subdirectories
SUBDIRS(docs)

=== dcmdata/CMakeLists.txt ===
# declare project
PROJECT(dcmdata)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmdata_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc libi2d apps include/dcmtk/dcmdata docs data tests)

=== dcmimage/CMakeLists.txt ===
# declare project
PROJECT(dcmimage)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmimage_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmimgle_SOURCE_DIR}/include ${ZLIB_INCDIR} ${LIBTIFF_INCDIR} ${LIBPNG_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmimage)

=== dcmimgle/CMakeLists.txt ===
# declare project
PROJECT(dcmimgle)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmimgle_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmimgle data)

=== dcmjpeg/CMakeLists.txt ===
# declare project
PROJECT(dcmjpeg)

# recurse into subdirectories
SUBDIRS(libsrc libijg8 libijg12 libijg16 apps include/dcmtk/dcmjpeg)

=== dcmjpls/CMakeLists.txt ===
# declare project
PROJECT(dcmjpls)

# recurse into subdirectories
SUBDIRS(libsrc libcharls apps include/dcmtk/dcmjpls)

=== dcmnet/CMakeLists.txt ===
# declare project
PROJECT(dcmnet)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmnet_SOURCE_DIR}/include ${dcmtls_SOURCE_DIR}/include ${OPENSSL_INCDIR} ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmnet docs etc)

=== dcmpstat/CMakeLists.txt ===
# declare project
PROJECT(dcmpstat)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmpstat_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmnet_SOURCE_DIR}/include ${dcmimgle_SOURCE_DIR}/include ${dcmqrdb_SOURCE_DIR}/include ${dcmsr_SOURCE_DIR}/include ${dcmsign_SOURCE_DIR}/include ${dcmtls_SOURCE_DIR}/include ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmpstat data etc)

=== dcmqrdb/CMakeLists.txt ===
# declare project
PROJECT(dcmqrdb)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmqrdb_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmnet_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmqrdb docs etc)

=== dcmsign/CMakeLists.txt ===
# declare project
PROJECT(dcmsign)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmsign_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
SUBDIRS(libsrc apps include/dcmtk/dcmsign)

=== debian/changelog ===
dcmtk (3.6.0-15) unstable; urgency=low

  * Transition to Apache 2.4. Closes: #669740
  * Use wrap and sort
  * Fix possible double free()
    - debian/patches/doubledes.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Sep 2013 10:54:17 +0200

dcmtk (3.6.0-14) unstable; urgency=low

  * Install *.dic within libdcmtk2/ as per policy, section §8.2. Closes: #709123
  * Import patches from upstream:
    + d/p/fixnull.patch
    + d/p/noleak.patch
    + d/p/nothrow.patch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 29 May 2013 14:38:44 +0200

dcmtk (3.6.0-13) unstable; urgency=low

  * Remove d/README.source, since source-format 3.0
  * Update dcmtk-www README for install instructions
  * Remove obsolete DMUA flag
  * Bump Std-Vers to 3.9.4, no changes needed
  * Provide a debug package. Closes: #690733
  * Fix SIGSEGV. Closes: #703716
  * Update d/control, and simplify Breaks/Conflicts with older dcmtk

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 May 2013 10:10:29 +0200

dcmtk (3.6.0-12) unstable; urgency=low

  [ Andrey Rahmatullin ]
  * Fix underlinked libraries. Closes: #677721
   - debian/patches/underlink.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Dec 2012 13:20:45 +0100

dcmtk (3.6.0-11) unstable; urgency=low

  * Fix compilation with gcc 4.7. Closes: #674361
   - debian/patches/bug674361.patch
  * Make sure to link against libxml2. Closes: #510120
  * Fix some underlinking. Closes: #674586
   - debian/patches/underlink.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 31 May 2012 11:31:16 +0200

dcmtk (3.6.0-10) unstable; urgency=low

  [ Andreas Tille ]
  * debian/dcmtk.prerm: when purging dirs in /var/lib need to be
    removed in advance. Closes: #660346

  [ Mathieu Malaterre ]
  * Use libpng-dev. Closes: #662296
  * Use libtiff-dev for transition to tiff5
  * Bump Std-Vers to 3.9.3. No changes needed

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 06 Mar 2012 23:01:59 +0100

dcmtk (3.6.0-9) unstable; urgency=low

  * Remove dot wrapper, not required anymore.
  * Generate doc using svg instead of png to save disk space
  * Fix compilation. Thanks to Bhavani Shankar. Closes: #646316
  * Fix VCS URLs

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 23 Nov 2011 16:31:18 +0100

dcmtk (3.6.0-8) unstable; urgency=low

  * Adding a storescp daemon
  * Remove convenient copy of CharLS. Closes: #631100

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Jul 2011 17:08:19 +0200

dcmtk (3.6.0-7) unstable; urgency=low

  * Add a patch (from current git/master) to fix a regression. Closes: #630781
  * Another fix to remove symlink only if exists
  * Remove deprecated lintian override

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 17 Jun 2011 14:43:37 +0200

dcmtk (3.6.0-6) unstable; urgency=low

  * Make sure OFFIS_DCMTK_VERSION_NUMBER is really a number. Closes: #628168
  * Update Standard Version to 3.9.2. No changes needed
  * Fix some lintian errors in control file
  * Fix piuparts reports on remaining dcmtk apache configuration file

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 31 May 2011 23:28:12 +0200

dcmtk (3.6.0-5) unstable; urgency=low

  * Fix invalid dep. to apache with apache2
  * Remove explicit `invoke-rc.d dcmqrscp stop` since it makes package
    un-removable. Let dh_installinit handles it

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 28 Mar 2011 15:33:06 +0200

dcmtk (3.6.0-4) unstable; urgency=low

  * new release fixes segfault. Closes: #615977
  * Update README. Closes: #618686
  * 3.6.0 is already packaged. Closes: #610855
  * Update postrm script. Closes: #618688

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 17 Mar 2011 17:32:48 +0100

dcmtk (3.6.0-3) unstable; urgency=low

  * Properly conflict with dcmtk 3.5.4 and libdcmtk2
  * Remove reference to issue with UNIX FHS

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 08 Mar 2011 17:14:24 +0100

dcmtk (3.6.0-2) experimental; urgency=low

  * Update copyright to reflects 3.6.0 changes
  * Update dcmtk.NEWS to reflects 3.6.0 news
  * Minor update to dcmtk.README.Debian for build instructions
  * Minor cosmetic changes to the patch series

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 08 Feb 2011 19:20:13 +0100

dcmtk (3.6.0-1) experimental; urgency=low

  [ Mathieu Malaterre ]
  * New upstream: 3.6.0
  * Update SONAME to 2.0.0 because of change in log4cplus::Logger::addAppender
  * Fix lintian errors on misc:Depends
  * Fix lintian errors on init.d script
  * Add a patch to link wth png/tiff libraries
  * Update perl path patch
  * debian/control: Update standards-version to 3.9.1
  * Fix new naming convention for this release
  * Add get-orig-source target in rules file
  * Fix CHANGES numbering into something more flexible for later revs.
  * Move *.dic file to the libdcmtk2 package
  * Switch to dpkg-source 3.0 (quilt) format

  [ Andreas Tille ]
  * make sure *.dic file shwo up only in libdcmtk2 package
  * Add -f to rm statement in clean target

 -- Andreas Tille <tille@debian.org>  Fri, 04 Feb 2011 22:24:40 +0100

dcmtk (3.5.4-4) unstable; urgency=low

  [Andreas Tille]
  * Group maintenance according to Debian Med group policy
  * Added myself as Uploader
  * VCS fields
  * Standards-Version: 3.8.3 (Added README.source)
  * debhelper >= 7
  * Add passive mode to watch file
  * make use of dh_install
  * debian/patches/05_no_www_docs.patch: Just do not install those
    files we do not need in the docs of the package in the first
    place instead of removing them later
  * Removed some lintian warnings
  * debian/patches/06_old_patches_from_diff_gz.patch: Move changes
    from diff.gz to quilt patches
  * Remove unused config files from previous versions according to
    http://wiki.debian.org/DpkgConffileHandling
    (The former handling in preinst triggered a lintian error)
  * debian/dcmtk.NEWS: Reformating according to developers reference


=== debian/control ===
Source: dcmtk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Juergen Salk <jsa@debian.org>,
           Andreas Tille <tille@debian.org>,
           Mathieu Malaterre <malat@debian.org>
Build-Depends: autoconf,
               autotools-dev,
               debhelper (>= 9),
               doxygen (>= 1.7.4),
               dpkg-dev (>= 1.16.1~),
               graphviz,
               libcharls-dev,
               libpng-dev,
               libssl-dev,
               libtiff-dev,
               libwrap0-dev,
               libxml2-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtk/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dcmtk/trunk/
Homepage: http://dicom.offis.de/dcmtk

Package: dcmtk
Architecture: any
Depends: adduser (>= 3.34), ${misc:Depends}, ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dcmtk (<< 3.6.0)
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk2-dev
Section: libdevel
Architecture: any
Depends: libdcmtk2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdcmtk1-dev
Replaces: libdcmtk1-dev
Provides: libdcmtk-dev
Suggests: dcmtk-doc
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-www
Section: web
Architecture: any
Depends: dcmtk, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: apache2 | httpd
Description: OFFIS DICOM toolkit worklist www server application
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DICOM basic worklist management web server
 application. You only need to install this if you want to manage worklist
 entries using a web browser.

Package: dcmtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: dcmtk, libdcmtk2-dev
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

Package: libdcmtk2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdcmtk2 (= ${binary:Version}), ${misc:Depends}
Description: OFFIS DICOM toolkit library debugging symbols
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the debugging symbols for libdcmtk2.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# See: http://forum.dcmtk.org/viewtopic.php?t=1237
ARCH=""

# Package installation directories
pkg=dcmtk
PKGDIR_DCMTK=$(CURDIR)/debian/$(pkg)
PKGDIR_DCMTK_LIB=$(CURDIR)/debian/libdcmtk2
PKGDIR_DCMTK_DEV=$(CURDIR)/debian/libdcmtk2-dev
PKGDIR_DCMTK_DOC=$(CURDIR)/debian/$(pkg)-doc
PKGDIR_DCMTK_WWW=$(CURDIR)/debian/$(pkg)-www

# Library version
LIB_VERSION=2.0.0

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
# build system is too complex to modify for support -fPIE to exe and -fPIC to
# shared libs we would need to use libtool or equivalent to filter shared libs
# from exe
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

config/config.status: configure
	dh_testdir

	# keep ap copy of the original config files to be able to move
	# them back right into place in the clean target
	cd config && mkdir backup && cp -a config* confmod include backup

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif

	cd config && ./autoall && cd .. && 			\
	./configure 	--host=$(DEB_HOST_GNU_TYPE)		\
			--build=$(DEB_BUILD_GNU_TYPE)		\
			--prefix=/usr				\
			--exec-prefix=/usr			\
			--mandir=\$${prefix}/share/man 		\
			--infodir=\$${prefix}/share/info 	\
			--includedir=\$${prefix}/include	\
			--libdir=\$${prefix}/lib		\
			--datadir=\$${prefix}/share/libdcmtk2		\
			--sysconfdir=/etc/$(pkg)		\
			--with-private-tags 			\
			--with-libxml                  	\
			--with-libtiff                  	\
			--with-zlib                     	\
			--with-libpng                   	\
			--with-libwrap 				\
			--with-openssl


build-arch: config/config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.

	# We have to perfom some magic here to have the dcmtk utilies
	# linked against shared dcmtk libs without forcing the utilities
	# themselves to be compiled with -fPIC as well.
	# In a first step we adjust config/Makefile.def to
	# build shared libraries. In a second step we build
	# the shared libs only (i.e. without utilities). In a third step we
	# restore the original state of config/Makefile.def. In a forth
	# step we run `make clean' on the source tree. (This leaves the
	# *.so libs untouched but forces recompilation in the next step.)
	# In the last step we run `make all'. This will build both the
	# utilities and the static libraries without -fPIC but links the
	# utilities dynamically against the shared library versions.

	mv config/Makefile.def config/Makefile.def.static && \
	sed -e '/^CFLAGS =/s/-O -/-fPIC -/' -e '/^CXXFLAGS =/s/-O -/-fPIC -/' \
	-e '/^AR =/s/ar/g++/' -e '/^ARFLAGS =/s/cruv/$(LDFLAGS) -shared	-Wl,-soname,\$$\@.2 -o/' \
	-e '/^LIBEXT =/s/a/so/' -e '/^RANLIB =/s/ranlib/:/' \
	<config/Makefile.def.static >config/Makefile.def && \
	$(MAKE) libsrc-all && \
	mv config/Makefile.def.static config/Makefile.def && \
	$(MAKE) clean && \
	$(MAKE)

	touch build-arch-stamp

build-indep: config/config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	$(MAKE) html

	touch build-indep-stamp


build: build-arch

clean:
	dh_testdir
	dh_testroot
	if [ -d config/backup ] ; then cd config; mv backup/* . ; rm -rf backup ; fi
	rm -f build-arch-stamp build-indep-stamp config/config.status

	[ ! -f config/Makefile.def ] || $(MAKE) distclean

	# Do not forget to remove shared libs as well
	find $(CURDIR) -name '*.so' -exec rm -f \{\} \;

	-test -r config/lzwtest.tif && \
		rm -f config/lzwtest.tif

	rm -f config/config.sub
	rm -f config/config.guess

	dh_clean

install: install-indep install-arch
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	$(MAKE) install-html DESTDIR=$(PKGDIR_DCMTK_DOC)

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	$(MAKE) install DESTDIR=$(PKGDIR_DCMTK) && \
	$(MAKE) install-lib DESTDIR=$(PKGDIR_DCMTK_DEV)

	# Do not forget to install the shared libs as well
	# TODO: make use of d-shlibs (andreas tille)
	find $(CURDIR) -path $(CURDIR)/debian -prune -o \
		-name 'lib*.so' -exec install -m 644 \{\} $(PKGDIR_DCMTK_LIB)/usr/lib \;

	# Fix filenames / add symlinks for shared libs
	for i in $(PKGDIR_DCMTK_LIB)/usr/lib/*.so; do \
		mv $$i $$i.2.0.0 && \
		ln -sf `basename \$$i.2.0.0` \
			$(PKGDIR_DCMTK_DEV)/usr/lib/`basename $$i` && \
		ln -sf `basename \$$i.2.0.0` $$i.2; \
	done
	# cp -a debian/apache.conf $(PKGDIR_DCMTK_WWW)/etc/apache2/conf.d/$(pkg)

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES.360
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_install -i
	dh_link -i
	dh_lintian -i
	dh_strip --dbg-package=libdcmtk2-dbg -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGES.360
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a --name=dcmqrscp
	dh_installinit -a --name=storescp
	dh_installman -a
	dh_install -a
	chmod 755 $(PKGDIR_DCMTK_WWW)/usr/lib/dcmtk/cgi-bin/*.p[lh]
	mv $(PKGDIR_DCMTK)/usr/share/libdcmtk2/*.dic $(PKGDIR_DCMTK_LIB)/usr/share/libdcmtk2/
	dh_link -a
	dh_lintian -a
	dh_strip --dbg-package=libdcmtk2-dbg -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libdcmtk2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	uscan --force-download --verbose

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install

=== debian/watch ===
version=3
opts="passive" \
ftp://dicom.offis.de/pub/dicom/offis/software/dcmtk/dcmtk([\d\.]+)/dcmtk-(.*)\.tar\.gz
